package src.ItemStore;

/** @author Ben Leov
 * 
 *  An Item, which is stored by ItemStore.
 * */

public class Item {
		
		private String name, value;
		private int id;
		public String NULL_STR = "null"; 
		/** If any passed value is null, it will be set to the NULL_STR */
		public Item(int id, String name, String value){
			
			if(name==null)
				name=NULL_STR;
			else this.name=name;
			
			if(value==null)
				value=NULL_STR;
			else this.value=value;
			
			this.id=id;
		}
		public String getName(){
			return name;
		}
		public String getValue(){
			return value;
		}
		public int getID(){
			return id;
		}
	
}
