package src.limim08;
import java.awt.BorderLayout;
import java.awt.Dimension;

import javax.swing.BoxLayout;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JProgressBar;

/** Thread that displays a progress meter and message. */
public class LoginProgress extends Thread  {

	private String hostname;
	private JFrame jf;
	private JProgressBar jpb;
	private JLabel message;
	private JPanel jp;
	private String messg ="";
	
	public LoginProgress(String hostname, String messg){
		this.hostname=hostname;
		this.messg=messg;
		
	}
	
	  public void run() {
		  	  
          jpb = new JProgressBar();
          jpb.setIndeterminate(true);
          jpb.setPreferredSize(new Dimension(350,60));
          jf = new JFrame("Connecting to " + hostname);
          jp = new JPanel();
          //jp.setLayout(new BoxLayout(jp,BoxLayout.Y_AXIS));
          jp.setLayout(new BorderLayout());
          jp.add(jpb, BorderLayout.NORTH);
          message = new JLabel(messg); //(Changed -> Try with network conneciton.
          message.setSize(new Dimension(20,30));
          jp.add(message,BorderLayout.SOUTH);
          jf.getContentPane().add(jp);
          
          jf.setLocation(100,200);
          
          jf.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
          jf.toFront();
          jf.pack();
          jf.setVisible(true); 
          
	  }
	  
	  public JFrame getJFrame(){
		  return jf;
	  }
	  public JProgressBar getJProgressBar(){
		  return jpb;
	  }
	  public void setMessage(String newMessage){
	 
		  
		  if(newMessage != null ){
		  this.messg=newMessage;
		  
		  if(message== null)  
			  message = new JLabel();
			  
		  this.message.setText(messg);
		  }
		  
	  }

}
