/*
 * Main.java. Creates user, loads preferences, splashscreen, and gui.
 */
package src.limim08;


import javax.swing.*; 

/**
 *
 * @author Emanuele Pedrona
 * 
 * MannyCalvera additions:
 * 
 * WARNING: Renamed all classes package to src.limim08
 * 
 * MannyCalavera edited/fix list.
 * 
 * 3. udpthread.stop(); - is depreciated (MainWindow: LoginActionListner()) -- NOT DONE
 * 
 * Ideas -  
 * 
 * 			Preferences tab. Preferences stored in Main - DONE
 *          extra buddy details showing presence -  
 * 			file sharing
 * 			splash screen - (DONE - Splashscreen.java has been put in ./src folder if needed.)
 * 			setting font type and colour
 * 
 * 			RSS Feed, weather and news info shown
 * 			
 * 			Change colour and size of font.
 * 
 * 			Reset button for credientials - DONE
 * 
 * 			Need to specify when user cannot contact if its server or credientials that are wrong
 * 
 */
public class Main {
    
    public static JFrame frame;
    public static CPersonal person;
    public static Preferences preferences;
    
    public static final String VERSION = "0.8.2";
    
    /** Creates a new instance of Main */
    public Main() {
    }
    
    public static void main(String[] args) {
    	
        javax.swing.SwingUtilities.invokeLater(new Runnable() {
            public void run() {
            	person = new CPersonal();
            	preferences = Preferences.load();
            	
                createAndShowGUI();
                
                
            }
        }); 
    }
    
    private static void createAndShowGUI() {
        //Make sure we have nice window decorations.
        JFrame.setDefaultLookAndFeelDecorated(true);

        //Create and set up the window.
        frame = new JFrame("LiMIM " + Main.VERSION);;
        frame.toFront();
        frame.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);

        //Creates the Main Window...
        
        JComponent newContentPane = new MainWindow();
    
        newContentPane.setOpaque(true); //content panes must be opaque
        frame.setContentPane(newContentPane);
        
        //Display the window.
        
        frame.pack();
        frame.setVisible(true);
        
    }
}

